package com.ruoyi.brewery.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 品牌方分享方案参与记录对象 wy_brewery_share_log
 * 
 * @author ruoyi
 * @date 2025-02-23
 */
public class WyBreweryShareLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 方案id */
    @Excel(name = "方案id")
    private Long planId;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 酒吧id */
    @Excel(name = "酒吧id")
    private Long barId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 获得的啤酒币数量 */
    @Excel(name = "获得的啤酒币数量")
    private Long claimCount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlanId(Long planId) 
    {
        this.planId = planId;
    }

    public Long getPlanId() 
    {
        return planId;
    }
    public void setBreweryId(Long breweryId) 
    {
        this.breweryId = breweryId;
    }

    public Long getBreweryId() 
    {
        return breweryId;
    }
    public void setBarId(Long barId) 
    {
        this.barId = barId;
    }

    public Long getBarId() 
    {
        return barId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setClaimCount(Long claimCount) 
    {
        this.claimCount = claimCount;
    }

    public Long getClaimCount() 
    {
        return claimCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planId", getPlanId())
            .append("breweryId", getBreweryId())
            .append("barId", getBarId())
            .append("userId", getUserId())
            .append("claimCount", getClaimCount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
